<?xml version='1.0' encoding='UTF-8'?>
<!--

        This file is part of the Squashtest platform.
        Copyright (C) Henix, henix.fr

        See the NOTICE file distributed with this work for additional
        information regarding copyright ownership.

        This is free software: you can redistribute it and/or modify
        it under the terms of the GNU Lesser General Public License as published by
        the Free Software Foundation, either version 3 of the License, or
        (at your option) any later version.

        this software is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        GNU Lesser General Public License for more details.

        You should have received a copy of the GNU Lesser General Public License
        along with this software.  If not, see <http://www.gnu.org/licenses/>.

-->
<!DOCTYPE dataset SYSTEM "../../../../../dtd/squash-tm.10.0.0.dtd">
<dataset>

  <ATTACHMENT_LIST
    ATTACHMENT_LIST_ID="-17"/>

  <TEST_CASE_LIBRARY
    TCL_ID="-5"
    ATTACHMENT_LIST_ID="-17"/>

  <CAMPAIGN_LIBRARY
    CL_ID="-5"
    ATTACHMENT_LIST_ID="-17"/>

  <PROJECT
    PROJECT_ID="-2"
    NAME="P2"
    CREATED_BY="dbunit"
    CREATED_ON="2023-10-03"
    ATTACHMENT_LIST_ID="-17"
    TCL_ID="-5"
    CL_ID="-5"/>

  <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-1238"/>
  <TEST_CASE_LIBRARY_NODE TCLN_ID="-12" NAME="CT1 explo" CREATED_ON="2010-02-01" CREATED_BY="DBU"
                          ATTACHMENT_LIST_ID="-1238" PROJECT_ID="-2" LAST_MODIFIED_BY="DBU"
                          LAST_MODIFIED_ON="2024-01-17" DESCRIPTION="Un cas de test exploratoire"/>
  <TEST_CASE TCLN_ID="-12" PREREQUISITE="a prerequisite" UUID="42d63d7e-11dd-44b0-b584-565b6f791fa9"
             EXECUTION_MODE="EXPLORATORY"/>

  <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-123"/>
  <CAMPAIGN_LIBRARY_NODE
    CLN_ID="-2"
    NAME="a sprint"
    CREATED_ON="2010-02-01"
    CREATED_BY="DBU"
    ATTACHMENT_LIST_ID="-123"
    PROJECT_ID="-2"
    LAST_MODIFIED_BY="DBU"
    LAST_MODIFIED_ON="2024-01-17"
    DESCRIPTION="Quelle incroyable description"
  />
  <CAMPAIGN_LIBRARY_CONTENT LIBRARY_ID="-5" CONTENT_ID="-2" CONTENT_ORDER="0"/>

  <SPRINT CLN_ID="-2" REFERENCE="test" START_DATE="2024-01-01" END_DATE="2024-01-12" STATUS="CLOSED"/>

  <!-- a first requirement bound to the sprint -->
  <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-456"/>
  <RESOURCE
    RES_ID="-1"
    CREATED_BY="creator"
    CREATED_ON="2024-01-26"
    ATTACHMENT_LIST_ID="-456"
    NAME="a first requirement"
    DESCRIPTION="Éphémère"/>

  <REQUIREMENT_LIBRARY_NODE
    RLN_ID="-1"
    CREATED_BY="creator"
    CREATED_ON="2024-01-26"
    PROJECT_ID="-2"/>

  <REQUIREMENT RLN_ID="-1"/>

  <REQUIREMENT_VERSION
    RES_ID="-1"
    REFERENCE="a reference"
    CRITICALITY="MINOR"
    REQUIREMENT_ID="-1"
    CATEGORY="4"/>

  <TEST_PLAN TEST_PLAN_ID="-1" CL_ID="-5"/>

  <SPRINT_REQ_VERSION SPRINT_REQ_VERSION_ID="-1" REQ_VERSION_ID="-1" SPRINT_ID="-2" TEST_PLAN_ID="-1"
                      CREATED_BY="dbunit" NAME="SRV1" REFERENCE="001"
                      CREATED_ON="2024-07-31"/>

  <TEST_PLAN_ITEM TEST_PLAN_ITEM_ID="-1" TEST_PLAN_ID="-1" ITEM_ORDER="0" LABEL="TPI1"
                  CREATED_BY="me" CREATED_ON="2024-01-26" EXECUTION_STATUS="FAILURE" TCLN_ID="-12"/>

  <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-544"/>
  <EXPLORATORY_SESSION_OVERVIEW OVERVIEW_ID="-45" NAME="overview" SESSION_STATUS="RUNNING" COMMENTS=""
                                ATTACHMENT_LIST_ID="-544" TEST_PLAN_ITEM_ID="-1"/>

</dataset>
